---
title: SVGAnimatedString
slug: Web/API/SVGAnimatedString
tags:
  - API
  - NeedsExample
  - Reference
  - Référence(2)
  - SVG
  - SVG DOM
---
<div>{{APIRef("SVG")}}</div>

<p>The <code><strong>SVGAnimatedString</strong></code> interface represents string attributes which can be animated from each SVG declaration. You need to create SVG attribute before doing anything else, everything should be declared inside this.</p>

<h2 id="Properties">Properties</h2>

<dl>
 <dt>{{domxref("SVGAnimatedString.animVal")}} {{readonlyInline}}</dt>
 <dd>This is a {{domxref("DOMString")}} representing the animation value. <span class="field"><span class="_animVal doc">If the given attribute or property is being animated it contains the current animated value of the attribute or property. If the given attribute or property is not currently being animated, it contains the same value as </span></span>baseVal<span class="field"><span class="_animVal doc">.</span></span></dd>
 <dt>{{domxref("SVGAnimatedString.baseVal")}}</dt>
 <dd>This is a {{domxref("DOMString")}} representing the base value. <span class="field"><span class="_baseVal doc">The base value of the given attribute before applying any animations. Setter throws DOMException.</span></span></dd>
</dl>

<h2 id="Methods">Methods</h2>

<p><em>The <code>SVGAnimatedString</code> interface do not provide any specific methods.</em></p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('SVG1.1', 'types.html#InterfaceSVGAnimatedString')}}</td>
   <td>{{Spec2('SVG1.1')}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName('SVG2', 'types.html#InterfaceSVGAnimatedString')}}</td>
   <td>{{Spec2('SVG2')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.SVGAnimatedString")}}</p>
